<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (X11; I; Linux 2.2.10 i686) [Netscape]">
   <title>JFLA 2000</title>
</head>
<body bgcolor="#FFFFFF">

<center>
<h1>
JFLA 2000: relecture du papier 3</h1></center>
Numero du papier: 3
<p>Titre du papier: Traitement paresseux et optimisation des suites num&eacute;riques
<p>Auteurs: Jerzy Karczmarczuk
<p>Nom du rapporteur: Emmanuel Ledinot
<p>Confiance en la note: 2&nbsp;<!-- 2 : j'ai compris, mais je ne domine pas le sujet. 
     -->
<p>Notation du papier: 4&nbsp;<!-- 2 : Bon papier, à garder. 
     -->
<p>Commentaires aux auteurs:
<p>&nbsp;Bien que n'&eacute;tant ni programmeur Haskell ni sp&eacute;cialiste
d'analyse num&eacute;rique, j'ai eu plaisir &agrave; lire votre papier.
La p&eacute;dagogie pour le lecteur non initi&eacute; est bonne. On arrive
&agrave; capter la philosophie du langage et de la formulation m&ecirc;me
si on bute (en tout cas j'ai but&eacute;) sur un certain nombre de points.
Vous d&eacute;fendez bien l'&eacute;l&eacute;gance et la concision d'Haskell
sur ce type de programmes. Vous avez le m&eacute;rite de poser clairement
la nature de votre contribution et de ne pas occulter les limites (performance
et probl&egrave;mes culturels ou "sociologiques"). Il me semble que le
papier gagnerait en impact (mais perdrait en homog&eacute;n&eacute;it&eacute;)
si dans une section sp&eacute;ciale (entre la 2 et la 3 ou entre la 5 et
la 6), sur un exemple bien choisi, la comparaison entre une formulation
Haskell et une formulation imp&eacute;rative C &eacute;tait d&eacute;velopp&eacute;e
(en 1 &agrave; 2 pages) sur les points suivants: . Concision, lisibilit&eacute;
et temps de d&eacute;veloppement en comparant un bon programmeur C &agrave;
un bon programmeur Haskell . Temps pass&eacute; de chaque cot&eacute; pour
faire une modification et la valider . Efficacit&eacute; Ca vaudrait le
coup d'essayer de quantifier le poids de "l'administration des boucles
" et la perte de performance (un facteur 2, 5, 10, 100 ?). Mais j'ai conscience
que pour &ecirc;tre honn&ecirc;te (autant que possible) il faut comparer
sur plusieurs programmes et que c'est tout un travail ...
<p>Ma seule r&eacute;serve concerne la syntaxe fran&ccedil;aise en quelques
points, le niveau de langue global du papier &eacute;tant tout &agrave;
fait satisfaisant. J'ai relev&eacute;:
<br>- p2 avant dernier &sect; de la section 1 "difficile [de] g&eacute;rer"
<br>- p2 avant derni&egrave;re phrase du dernier &sect; de la section 1:
"La classe Group ... comme la suite par un &eacute;l&eacute;ment de base
(un nombre)". La fin de cette phrase est dure &agrave; comprendre.
<br>-p3 Notice. "ont &eacute;labor&eacute; un formalisme [pareil]
<br>-p4 "nous allons omettre des d&eacute;finitions cit&eacute;es les ent&ecirc;tes
instance, ainsi..."
<br>-p5 5&egrave;me ligne en partant du bas "prennent aussi des formes
simplifies ..."
<br>-p7 "ne peut pas &ecirc;tre surestim&eacute;e ". j'ai l'impression
que vous voulez dire que l'int&eacute;ret de cette possibilit&eacute; ne
doit pas &ecirc;tre sous-estim&eacute;.
<br>-p8 la sp&eacute;cification compl&egrave;te doit &ecirc;tre compl&eacute;t&eacute;e
... exposant principal des termes restant[e]s
<br>-p10 1er &sect;. dans domaine de[s] s&eacute;ries enti&egrave;res
<br>-p11 la phrase "... dans ce contexte les ressource humaines .. loin
de la v&eacute;rit&eacute;... " est &agrave; reformuler &agrave; l'inverse
et non "&agrave; l'envers" "mis &agrave; part le cot&eacute; psycho-dramatique
de l'expos&eacute;". Je ne comprends pas ce que vous voulez dire. "les
fonctions r&eacute;cursives sont consid&eacute;r&eacute;es comme redondantes".
Je n'ai pas compris non plus. form&eacute;s &agrave; Fortran ou C++ et
non pas par .. Sur le fond, p6 vous mettez en itallique donn&eacute;es
transportables et vous soulignez l'impact sur la modularit&eacute;. Je
n'ai pas compris ce &agrave; quoi vous faites allusion. Il faudrait expliciter
et justifier cet avantage propre &agrave; la formulation fonctionnelle.
<p>Commentaires reserves au comite de programme:
<p>&nbsp;Une fois nettoy&eacute; des maladresses de francais, et peut &ecirc;tre
renforc&eacute; (explicitation, quantification) dans les argumentations
en faveur d'Haskell par rapport aux langages conventionnels, ca me semble
faire un bon papier pour JFLA.
</body>
</html>
